> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Configurations

> Retrieve a list of all configurations.



## OpenAPI

````yaml GET /organizations/{orgId}/configurations
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /organizations/{orgId}/configurations:
    get:
      description: Retrieve a list of all configurations.
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: >-
            The ID of the organization. Locate the orgId under Organization
            Settings > API Keys.
      responses:
        '200':
          description: A list of configuration summary objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  properties:
                    id:
                      type: string
                      description: Unique identifier of the configuration
                    name:
                      type: string
                      description: Name of the configuration
                    registrationCode:
                      type: string
                      description: >-
                        Configuration code (formerly known as Registration Code)
                        for the configuration. [Learn
                        More](https://help.managexr.com/en/articles/5345978-register-a-device-using-a-registration-code)
                    deviceCount:
                      type: number
                      description: Number of devices using the configuration
                example:
                  - id: 6qwM6FzJE4o708iqTpWc
                    name: Education
                    registrationCode: f7GbHvH
                    deviceCount: 15
                  - id: 7xzA3LrJS5b903jrTpYd
                    name: Employee Training
                    registrationCode: a8YhTzK
                    deviceCount: 30
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````